locked
Problems with Microsoft Fixit tool RRS feed

  • Question

  • Hi,

    I am trying to solve an error in installing Microsoft Fixit tool (in an attempt to try and get an Adobe product to install).

    When I try to run the downloaded program, I am getting an error informing me that I need to have .Net Framework version 4.0.30319 installed. A secondary error states that .Net Framework 2 (or higher) needs to be available. The issue is that I already have 4.0.30319 installed.

    Using MS Windows 7 64 bit ultimate.

    Thursday, February 23, 2012 2:57 PM

Answers

All replies

  • can you give the link to the microsoft fix it tool

    Thursday, February 23, 2012 3:57 PM
  • Thursday, February 23, 2012 5:23 PM
  • haha i know that one...i meant the link to the actual fix it tool hes trying to use.
    Thursday, February 23, 2012 5:39 PM
  • it's

    http://go.microsoft.com/?linkid=9779673

    Thursday, February 23, 2012 7:26 PM
  • I think your problem is this is a x86 fixit.  And since you have 64 bit its looking for the .net installer in the x86 registry...and its not there, because you have the 64 bit version.  If you can find a fixit for 64 bit.
    • Proposed as answer by zhen tan Monday, February 27, 2012 8:05 AM
    • Unproposed as answer by zhen tan Monday, February 27, 2012 8:05 AM
    Thursday, February 23, 2012 7:48 PM
  • .net framework is probably corrupted

    I would remove it and re-install it again

    This tool can help you remove the .net but you will have to download and install again.

    http://blogs.msdn.com/b/astebner/archive/2005/04/08/406671.aspx

    • Proposed as answer by zhen tan Monday, February 27, 2012 8:05 AM
    • Marked as answer by Arthur Xie Wednesday, February 29, 2012 9:58 AM
    Thursday, February 23, 2012 9:26 PM